<script setup>
  let img
  let i = Math.floor((Math.random() * 9))

  switch(i !== null) {
    case i === 0:
      img = "url('/img/login/084911.jpg')"
      break;
    case i === 1:
      img = "url('/img/login/073034.jpg')"
      break;
    case i === 2:
      img = "url('/img/login/647235.jpg')"
      break;
    case i === 3:
      img = "url('/img/login/894519.jpg')"
      break;
    case i === 4:
      img = "url('/img/login/114701.jpg')"
      break;
    case i === 5:
      img = "url('/img/login/090023.jpg')"
      break;
    case i === 6:
      img = "url('/img/login/143846.jpg')"
      break;
    case i === 7:
      img = "url('/img/login/804649.jpg')"
      break;
    case i === 8:
      img = "url('/img/login/203159.jpg')"
      break;
    default:
      img = "url('/img/login/090023.jpg')"
  }

</script>

<style>
  .banner::before {
    background-image: v-bind(img) !important;
  }
</style>

<template>
  <div class="banner">
    <NuxtLink to="/" class="logo" >
      <img src="/img/logo.svg" alt="tinysites" />
    </NuxtLink>
    <div class="bottom">
      <p class="copy"><span class="icon-copyright"></span> Inspin Digital LLC. All Rights Reserved.</p>
    </div>
  </div>
</template>